summaryrefslogtreecommitdiffstats
path: root/examples/run-all-ex.sh
diff options
context:
space:
mode:
authorLarry Knox <lrknox@hdfgroup.org>2010-05-14 22:05:48 (GMT)
committerLarry Knox <lrknox@hdfgroup.org>2010-05-14 22:05:48 (GMT)
commit96c13847a638a0a028afb2f1b31a513bf70110e4 (patch)
treea5765725e789930d0d4bbed08a604486f8a8ac64 /examples/run-all-ex.sh
parent5c2734ec514de41c773de7b22027eeff8fd2dace (diff)
downloadhdf5-96c13847a638a0a028afb2f1b31a513bf70110e4.zip
hdf5-96c13847a638a0a028afb2f1b31a513bf70110e4.tar.gz
hdf5-96c13847a638a0a028afb2f1b31a513bf70110e4.tar.bz2
[svn-r18817] Added scripts to compile and run installed examples. The scripts are installed with the examples, and there is one script to run the scripts for all hl examples and another to run the scripts for all the examples.
Tested: amani, jam, linew (h5committest).
Diffstat (limited to 'examples/run-all-ex.sh')
-rwxr-xr-xexamples/run-all-ex.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/examples/run-all-ex.sh b/examples/run-all-ex.sh
new file mode 100755
index 0000000..e96b86f
--- /dev/null
+++ b/examples/run-all-ex.sh
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# Copyright by The HDF Group.
+# All rights reserved.
+#
+# This file is part of HDF5. The full HDF5 copyright notice, including
+# terms governing use, modification, and redistribution, is contained in
+# the files COPYING and Copyright.html. COPYING can be found at the root
+# of the source code distribution tree; Copyright.html can be found at the
+# root level of an installed copy of the electronic HDF5 document set and
+# is linked from the top-level documents page. It can also be found at
+# http://hdfgroup.org/HDF5/doc/Copyright.html. If you do not have
+# access to either file, you may request a copy from help@hdfgroup.org.
+
+#
+# This file: run-hl-ex.sh
+# Written by: Larry Knox
+# Date: May 11, 2010
+#
+# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
+# #
+# This script will run the scripts to compile and run the installed hdf5 #
+# examples. #
+# #
+# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
+
+if (echo "Run c examples" && \
+ (cd c; sh ./run-c-ex.sh) && \
+ echo "Run fortran examples" && \
+ (cd fortran; sh ./run-fortran-ex.sh) && \
+ echo "Run c++ examples" && \
+ (cd c++; sh ./run-c++-ex.sh) && \
+ echo "Run hl examples." && \
+ (cd hl; sh ./run-hl-ex.sh)); then
+ echo "Done"
+ exit 0
+else
+ exit 1
+fi
+